USE COWS
GO

SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE TABLE [dbo].[SIPT_EVENT_DOC](
	[SIPT_EVENT_DOC_ID] [int] IDENTITY(1,1) NOT FOR REPLICATION NOT NULL,
	[EVENT_ID] [int] NOT NULL,
	[FILE_NME] [varchar](4000) NOT NULL,
	[FILE_CNTNT] [varbinary](max) NOT NULL,
	[FILE_SIZE_QTY] [int] NOT NULL,
	[REC_STUS_ID] [tinyint] NOT NULL,
	[CREAT_BY_USER_ID] [int] NOT NULL,
	[CREAT_DT] [datetime] NOT NULL,
 CONSTRAINT [PK_SIPT_EVENT_DOC] PRIMARY KEY CLUSTERED 
(
	[SIPT_EVENT_DOC_ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

ALTER TABLE [dbo].[SIPT_EVENT_DOC] ADD  CONSTRAINT [DF_SIPT_EVENT_DOC_RECSTUSID_1]  DEFAULT ((1)) FOR [REC_STUS_ID]
GO

ALTER TABLE [dbo].[SIPT_EVENT_DOC] ADD  CONSTRAINT [DF_SIPT_EVENT_DOC_getdate_1]  DEFAULT (getdate()) FOR [CREAT_DT]
GO

ALTER TABLE [dbo].[SIPT_EVENT_DOC]  WITH NOCHECK ADD  CONSTRAINT [FK01_SIPT_EVENT_DOC] FOREIGN KEY([EVENT_ID])
REFERENCES [dbo].[SIPT_EVENT] ([EVENT_ID])
GO

ALTER TABLE [dbo].[SIPT_EVENT_DOC] CHECK CONSTRAINT [FK01_SIPT_EVENT_DOC]
GO

ALTER TABLE [dbo].[SIPT_EVENT_DOC]  WITH NOCHECK ADD  CONSTRAINT [FK02_SIPT_EVENT_DOC] FOREIGN KEY([CREAT_BY_USER_ID])
REFERENCES [dbo].[LK_USER] ([USER_ID])
GO

ALTER TABLE [dbo].[SIPT_EVENT_DOC] CHECK CONSTRAINT [FK02_SIPT_EVENT_DOC]
GO

ALTER TABLE [dbo].[SIPT_EVENT_DOC]  WITH NOCHECK ADD  CONSTRAINT [FK03_SIPT_EVENT_DOC] FOREIGN KEY([REC_STUS_ID])
REFERENCES [dbo].[LK_REC_STUS] ([REC_STUS_ID])
GO

ALTER TABLE [dbo].[SIPT_EVENT_DOC] CHECK CONSTRAINT [FK03_SIPT_EVENT_DOC]
GO

ALTER TABLE dbo.SIPT_EVENT
ADD [TNS_TG_CD] BIT NULL
GO